package com.bocloud.cmp.provider.common;

import com.bocloud.cmp.model.Butler;
import com.bocloud.cmp.provider.TceRestApiProvider;
import com.bocloud.cmp.provider.network.TceVpcProvider;
import com.bocloud.common.annotations.Provider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: TceAuthProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
@Provider("bocloud.cmp.tce")
public class TceAuthProvider extends TceRestApiProvider implements AuthProvider {

    public TceAuthProvider(Butler butler) {
        super(butler);
    }

    @Override
    public BocloudResult auth() {
        TceVpcProvider provider = new TceVpcProvider(this.getButler());
        BocloudResult result = provider.list();
        result = new BocloudResult(result.isSuccess(), result.getMessage());
        return result;
    }
}
