package com.bocloud.cmp.tceconvertor;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.bocloud.cmp.model.FlavorModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cvm.v20170312.models.InstanceTypeConfig;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FlavorConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:53
 */
public class FlavorConvertor implements BeanConvertor<FlavorModel, InstanceTypeConfig> {

	@Override
	public List<FlavorModel> convertList(List<? extends InstanceTypeConfig> objects) {
		List<FlavorModel> regionModels = new ArrayList<FlavorModel>();
		for (InstanceTypeConfig object : objects) {
			String zone = object.getZone();
			if (StringUtils.isEmpty(zone)) {
				continue;
			}
			regionModels.add(convertModel(object));
		}
		return regionModels;
	}

	@Override
	public FlavorModel convertModel(InstanceTypeConfig info) {
		FlavorModel model = new FlavorModel();
		model.setCpu(info.getCPU().intValue());
		model.setMemory(BigDecimal.valueOf(info.getMemory()));
		model.setName(info.getInstanceType());
		model.setFamily(info.getInstanceFamily());
		model.setFlavorUuid(info.getInstanceType());
		model.setZone(info.getZone());
		model.setStatus("SELL");
		model.setInstanceChargeType("POSTPAID_BY_HOUR"); // 私有云全部为按量计费
		return model;
	}
}
