package com.bocloud.cmp.tceconvertor;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.bocloud.cmp.model.KeypairModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.bocloud.common.utils.DateTools;
import com.tencentcloudapi.cvm.v20170312.models.KeyPair;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: KeypairConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class KeypairConvertor implements BeanConvertor<KeypairModel, KeyPair> {

    @Override
    public List<KeypairModel> convertList(List<? extends KeyPair> objects) {
        List<KeypairModel> regionModels = new ArrayList<KeypairModel>();
        for (KeyPair object : objects) {
            regionModels.add(convertModel(object));
        }
        return regionModels;
    }

    @Override
    public KeypairModel convertModel(KeyPair info) {
        KeypairModel model = new KeypairModel();
        model.setName(info.getKeyName());
        model.setPublicKey(info.getPublicKey());
        model.setPrivateKey(info.getPrivateKey());
        model.setFingerprint(info.getKeyId());
        model.setRemark(info.getDescription());
        String createdTime = info.getCreatedTime();
        if (!StringUtils.isEmpty(createdTime)) {
            model.setGmtCreate(DateTools.transfer("yyyy-MM-dd'T'HH:mm:ssZ", info.getCreatedTime(), "Z"));
        }
        return model;
    }
}
