package com.bocloud.cmp.tceconvertor;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.bocloud.cmp.model.RegionModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cvm.v20170312.models.RegionInfo;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RegionConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class RegionConvertor implements BeanConvertor<RegionModel, RegionInfo> {

    // 腾讯无法使用ap-guangzhou-open地域操作资源                         华东地区(上海金融)   华南地区(深圳金融) 金融区域需特殊处理
    private static String[] EXCLUDE = {"ap-guangzhou-open", "ap-shanghai-fsi", "ap-shenzhen-fsi"};

    @Override
    public List<RegionModel> convertList(List<? extends RegionInfo> objects) {
        List<RegionModel> regionModels = new ArrayList<RegionModel>();
        for (RegionInfo object : objects) {
            if (!Arrays.asList(EXCLUDE).contains(object.getRegion())) {
                regionModels.add(convertModel(object));
            }
        }
        return regionModels;
    }

    @Override
    public RegionModel convertModel(RegionInfo info) {
        RegionModel model = new RegionModel();
        model.setCode(info.getRegion());
        model.setName(info.getRegionName());
        model.setRegionId(info.getRegion());
        return model;
    }
}
