package com.bocloud.cmp.tceconvertor;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.SecurityGroupModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;
import com.bocloud.common.utils.DateTools;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: SecurityGroupConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class SecurityGroupConvertor implements BeanJsonConvertor<SecurityGroupModel> {

    private static Logger logger = LoggerFactory.getLogger(SecurityGroupConvertor.class);

    @Override
    public List<SecurityGroupModel> convertList(JSONArray array) {
        List<SecurityGroupModel> list = new ArrayList<>();
        for (int i = 0; i < array.size(); i++) {
            list.add(convertModel(array.getJSONObject(i)));
        }
        return list;
    }

    @Override
    public SecurityGroupModel convertModel(JSONObject object) {
        SecurityGroupModel model = new SecurityGroupModel();
        model.setName(object.getString("sgName"));
        model.setRemark(object.getString("sgRemark"));
        model.setGroupUuid(object.getString("sgId"));
        String createdTime = object.getString("createTime");
        if(!StringUtils.isEmpty(createdTime)){
            model.setCreateTime(DateTools.stringToDateTime(createdTime));
        }
        return model;
    }
}
