package com.bocloud.cmp.tceconvertor;

import java.util.ArrayList;
import java.util.List;

import com.bocloud.cmp.model.SnapshotModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cbs.v20170312.models.Snapshot;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: SnapshotConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class SnapshotConvertor implements BeanConvertor<SnapshotModel, Snapshot> {

	@Override
	public List<SnapshotModel> convertList(List<? extends Snapshot> objects) {
		List<SnapshotModel> snapshotModels = new ArrayList<SnapshotModel>();
		for (Snapshot object : objects) {
			snapshotModels.add(convertModel(object));
		}
		return snapshotModels;
	}

	@Override
	public SnapshotModel convertModel(Snapshot snapshot) {
		SnapshotModel model = new SnapshotModel();
		model.setSize(snapshot.getDiskSize().intValue());
		String snapshotName = snapshot.getSnapshotName();
		if (null != snapshotName && "未命名".equals(snapshotName)) {
			snapshotName = snapshot.getSnapshotId();
		}
		model.setName(snapshotName);
		model.setSnapshotUuid(snapshot.getSnapshotId());
		String snapshotState = snapshot.getSnapshotState();
		if ("NORMAL".equalsIgnoreCase(snapshotState)) {
			model.setStatus("AVAILABLE"); // snapshotState
		} else {
			model.setStatus(snapshotState);
		}
		model.setVolumeUuid(snapshot.getDiskId());
		return model;
	}

}
