package com.bocloud.cmp.tceconvertor;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.SubnetModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;
import com.bocloud.common.utils.DateTools;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: SubnetConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class SubnetConvertor implements BeanJsonConvertor<SubnetModel> {

	@Override
	public List<SubnetModel> convertList(JSONArray array) {
		List<SubnetModel> list = new ArrayList<>();
		for (int i = 0; i < array.size(); i++) {
			list.add(convertModel(array.getJSONObject(i)));
		}
		return list;
	}

	@Override
	public SubnetModel convertModel(JSONObject object) {
		SubnetModel model = new SubnetModel();
		model.setName(object.getString("subnetName"));
		model.setSubnetUuid(object.getString("unSubnetId"));
		model.setCidr(object.getString("cidrBlock"));
		model.setNetworkUuid(object.getString("unVpcId"));
		model.setVpcUuid(object.getString("unVpcId"));
		model.setVpcName(object.getString("vpcName"));
		model.setIsDefault(object.getBoolean("isDefault"));
		model.setZone(object.getString("zone"));
		model.setHostRoutes(object.getString("unRouteTableId"));
		model.setZoneNum(object.getString("zoneId"));
		model.setIpVersion("V4");
		String createdTime = object.getString("subnetCreateTime");
		if (StringUtils.isEmpty(createdTime)) {
			model.setGmtCreate(DateTools.stringToDateTime(createdTime));
		}
		return model;
	}
}
