package com.bocloud.cmp.tceconvertor;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.VpcModel;
import com.bocloud.cmp.provider.convertor.BeanJsonConvertor;
import com.bocloud.common.utils.DateTools;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: VpcConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class VpcConvertor implements BeanJsonConvertor<VpcModel> {

    private static Logger logger = LoggerFactory.getLogger(VpcConvertor.class);

    @Override
    public List<VpcModel> convertList(JSONArray array) {
        List<VpcModel> list = new ArrayList<>();
        for (int i = 0; i < array.size(); i++) {
            list.add(convertModel(array.getJSONObject(i)));
        }
        return list;
    }

    @Override
    public VpcModel convertModel(JSONObject object) {
        VpcModel model = new VpcModel();
        model.setVpcId(object.getString("unVpcId"));
        model.setName(object.getString("vpcName"));
        model.setCidr(object.getString("cidrBlock"));
        model.setDefaultVpc(object.getBoolean("isDefault"));
        model.setStatus("ACTIVE");
        String createdTime = object.getString("createTime");
        if(!StringUtils.isEmpty(createdTime)){
            model.setGmtCreate(DateTools.stringToDateTime(createdTime));
        }
        return model;
    }
}
