package com.bocloud.cmp.tceconvertor;

import java.util.ArrayList;
import java.util.List;

import com.bocloud.cmp.model.ZoneModel;
import com.bocloud.cmp.provider.convertor.BeanConvertor;
import com.tencentcloudapi.cvm.v20170312.models.ZoneInfo;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: ZoneConvertor
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2019/10/28 16:47
 */
public class ZoneConvertor implements BeanConvertor<ZoneModel, ZoneInfo> {

    @Override
    public List<ZoneModel> convertList(List<? extends ZoneInfo> objects) {
        List<ZoneModel> regionModels = new ArrayList<ZoneModel>();
        for (ZoneInfo object : objects) {
            if ("AVAILABLE".equalsIgnoreCase(object.getZoneState())) {
                regionModels.add(convertModel(object));
            }
        }
        return regionModels;
    }

    @Override
    public ZoneModel convertModel(ZoneInfo info) {
        ZoneModel model = new ZoneModel();
        model.setName(info.getZoneName());
        model.setZoneId(info.getZone());
        model.setZoneNum(info.getZoneId());
        return model;
    }
}
